summaryrefslogtreecommitdiff
path: root/vm/compiler/template/rebuild.sh
diff options
context:
space:
mode:
authorThe Android Open Source Project <initial-contribution@android.com>2012-04-01 00:00:00 -0700
committerThe Android Open Source Project <initial-contribution@android.com>2012-06-21 11:19:58 -0700
commitb178bea7d8af0d7e65faad94586356d52ef3e409 (patch)
tree7259e615d1996e190ad080611feb2fd2bd93354c /vm/compiler/template/rebuild.sh
downloaddalvik-snapshot-b178bea7d8af0d7e65faad94586356d52ef3e409.tar.gz
Snapshot d0d351b2ef726ff1b76a3efb4aad91e4d1436f6agingerbread
Diffstat (limited to 'vm/compiler/template/rebuild.sh')
-rwxr-xr-xvm/compiler/template/rebuild.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/vm/compiler/template/rebuild.sh b/vm/compiler/template/rebuild.sh
new file mode 100755
index 0000000..8c47dd7
--- /dev/null
+++ b/vm/compiler/template/rebuild.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# Copyright (C) 2008 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#
+# Rebuild for all known targets. Necessary until the stuff in "out" gets
+# generated as part of the build.
+#
+set -e
+for arch in armv5te armv5te-vfp armv7-a armv7-a-neon; do TARGET_ARCH_EXT=$arch make -f Makefile-template; done